package cn.org.bjca.trust.push.db.message

import androidx.room.*

@Dao
interface MessageDao {
    @Query("SELECT * FROM message")
    fun getAll(): List<SzyxMessage>

    @Query("SELECT * FROM message WHERE message_id = :msgId")
    fun getMessage(msgId: String): List<SzyxMessage>

    @Insert
    fun insertAll(vararg msg: SzyxMessage)

    @Update
    fun update(msg: SzyxMessage)

    @Delete
    fun delete(msg: SzyxMessage)
}
